Bug 127636 - Permissions of symlink /usr/share/dict/words are rwxr-xr-x
Permissions of symlink /usr/share/dict/words are rwxr-xr-x
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: words (Show other bugs)
3.0
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Eido Inoue
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-11 18:29 EDT by Alexandre Costa
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-08 12:37:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Costa 2004-07-11 18:29:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98; .NET CLR 
1.1.4322)

Description of problem:
I'm not sure if this is a real bug, but as far as i know a symlink 
should always have 777 permissions.

well, i guess there is nothing else to say.. heres the output.. i've 
checked other versions, and only RHEL has this.. RHEL ES here. not 
sure about AS, WS or Desktop.

-rw-r--r--    1 root     root       409305 Feb  5  2003 linux.words
lrwxr-xr-x    1 root     root           11 Mar 12 03:07 words -> 
linux.words

If it is normal, can someone explain how to do this ? (i've already 
googled a lot and found nothing about it)

Version-Release number of selected component (if applicable):
2-21

How reproducible:
Always

Steps to Reproduce:
1.ls -l /usr/share/dict/words
2.
3.
    

Actual Results:  lrwxr-xr-x    1 root     root           11 Mar 12 
03:07 words -> linux.words

Expected Results:  maybe lrwxrwxrwx    1 root     root           11 
Mar 12 03:07 words -> linux.words ?????

Additional info:
Comment 1 Eido Inoue 2004-11-08 12:37:59 EST
3-1 (in rawhide) will be in the next updates

Note You need to log in before you can comment on or make changes to this bug.